!----------------------------------------------------------
!
! File: SSOCX.CLW
!
! Copyright (C) 2004 FarPoint Technologies.
! All rights reserved.
!
!----------------------------------------------------------
!  ********* MISCELLANEOUS DEFINES **********
SS_SHEET_MAX EQUATE(1000)

! ********** SPREADSHEET PROPERTY SETTINGS **********

! Action property settings
SS_ACTION_ACTIVE_CELL EQUATE(0)
SS_ACTION_GOTO_CELL EQUATE(1)
SS_ACTION_SELECT_BLOCK EQUATE(2)
SS_ACTION_CLEAR EQUATE(3)
SS_ACTION_DELETE_COL EQUATE(4)
SS_ACTION_DELETE_ROW EQUATE(5)
SS_ACTION_INSERT_COL EQUATE(6)
SS_ACTION_INSERT_ROW EQUATE(7)
SS_ACTION_RECALC EQUATE(11)
SS_ACTION_CLEAR_TEXT EQUATE(12)
SS_ACTION_PRINT EQUATE(13)
SS_ACTION_DESELECT_BLOCK EQUATE(14)
SS_ACTION_DSAVE EQUATE(15)
SS_ACTION_SET_CELL_BORDER EQUATE(16)
SS_ACTION_ADD_MULTISELBLOCK EQUATE(17)
SS_ACTION_GET_MULTI_SELECTION EQUATE(18)
SS_ACTION_COPY_RANGE EQUATE(19)
SS_ACTION_MOVE_RANGE EQUATE(20)
SS_ACTION_SWAP_RANGE EQUATE(21)
SS_ACTION_CLIPBOARD_COPY EQUATE(22)
SS_ACTION_CLIPBOARD_CUT EQUATE(23)
SS_ACTION_CLIPBOARD_PASTE EQUATE(24)
SS_ACTION_SORT EQUATE(25)
SS_ACTION_COMBO_CLEAR EQUATE(26)
SS_ACTION_COMBO_REMOVE EQUATE(27)
SS_ACTION_RESET EQUATE(28)
SS_ACTION_SEL_MODE_CLEAR EQUATE(29)
SS_ACTION_VMODE_REFRESH EQUATE(30)
SS_ACTION_SMARTPRINT EQUATE(32)

! ActiveCellHighlight property settings
SS_ACTIVECELLHIGHLIGHTSTYLE_OFF EQUATE(0)
SS_ACTIVECELLHIGHLIGHTSTYLE_NORMAL EQUATE(1)

! Appearance property settings
SS_APPEARANCE_FLAT EQUATE(0)
SS_APPEARANCE_3D EQUATE(1)
SS_APPEARANCE_3DWITHBORDER EQUATE(2)

! BackColorStyle property settings
SS_BACKCOLORSTYLE_OVERGRID EQUATE(0)
SS_BACKCOLORSTYLE_UNDERGRID EQUATE(1)
SS_BACKCOLORSTYLE_OVERHORZGRIDONLY EQUATE(2)
SS_BACKCOLORSTYLE_OVERVERTGRIDONLY EQUATE(3)

! ButtonDrawMode property settings
SS_BDM_ALWAYS EQUATE(0)
SS_BDM_CURRENT_CELL EQUATE(1)
SS_BDM_CURRENT_COLUMN EQUATE(2)
SS_BDM_CURRENT_ROW EQUATE(4)
SS_BDM_ALWAYS_BUTTON EQUATE(8)
SS_BDM_ALWAYS_COMBO EQUATE(16)

! CellBorderStyle property settings
SS_BORDER_STYLE_DEFAULT EQUATE(0)
SS_BORDER_STYLE_SOLID EQUATE(1)
SS_BORDER_STYLE_DASH EQUATE(2)
SS_BORDER_STYLE_DOT EQUATE(3)
SS_BORDER_STYLE_DASH_DOT EQUATE(4)
SS_BORDER_STYLE_DASH_DOT_DOT EQUATE(5)
SS_BORDER_STYLE_BLANK EQUATE(6)
SS_BORDER_STYLE_FINE_SOLID EQUATE(11)
SS_BORDER_STYLE_FINE_DASH EQUATE(12)
SS_BORDER_STYLE_FINE_DOT EQUATE(13)
SS_BORDER_STYLE_FINE_DASH_DOT EQUATE(14)
SS_BORDER_STYLE_FINE_DASH_DOT_DOT EQUATE(15)

! CellBorderType property settings
SS_BORDER_TYPE_NONE EQUATE(0)
SS_BORDER_TYPE_LEFT EQUATE(1)
SS_BORDER_TYPE_RIGHT EQUATE(2)
SS_BORDER_TYPE_TOP EQUATE(4)
SS_BORDER_TYPE_BOTTOM EQUATE(8)
SS_BORDER_TYPE_OUTLINE EQUATE(16)

! CellNoteIndicator property settings
SS_CELLNOTEINDICATOR_SHOWANDFIREEVENT EQUATE(0)
SS_CELLNOTEINDICATOR_SHOWANDDONOTFIREEVENT EQUATE(1)
SS_CELLNOTEINDICATOR_DONOTSHOWANDFIREEVENT EQUATE(2)
SS_CELLNOTEINDICATOR_DONOTSHOWANDDONOTFIREEVENT EQUATE(3)

! CellType property settings
SS_CELL_TYPE_DATE EQUATE(0)
SS_CELL_TYPE_EDIT EQUATE(1)
SS_CELL_TYPE_FLOAT EQUATE(2)
SS_CELL_TYPE_INTEGER EQUATE(3)
SS_CELL_TYPE_PIC EQUATE(4)
SS_CELL_TYPE_STATIC_TEXT EQUATE(5)
SS_CELL_TYPE_TIME EQUATE(6)
SS_CELL_TYPE_BUTTON EQUATE(7)
SS_CELL_TYPE_COMBOBOX EQUATE(8)
SS_CELL_TYPE_PICTURE EQUATE(9)
SS_CELL_TYPE_CHECKBOX EQUATE(10)
SS_CELL_TYPE_OWNER_DRAWN EQUATE(11)
SS_CELL_TYPE_CURRENCY EQUATE(12)
SS_CELL_TYPE_NUMBER EQUATE(13)
SS_CELL_TYPE_PERCENT EQUATE(14)
SS_TYPE_SCIENTIFIC EQUATE(15)


! ClipboardOptions property settings
SS_CLIP_NOHEADERS EQUATE(0)
SS_CLIP_COPYROWHEADERS EQUATE(1)
SS_CLIP_PASTEROWHEADERS EQUATE(2)
SS_CLIP_COPYCOLHEADERS EQUATE(4)
SS_CLIP_PASTECOLHEADERS EQUATE(8)
SS_CLIP_COPYPASTEALLHEADERS EQUATE(15)

! ColHeadersAutoText and RowHeadersAutoText property settings
SS_HEADER_BLANK EQUATE(0)
SS_HEADER_NUMBERS EQUATE(1)
SS_HEADER_LETTERS EQUATE(2)

! ColMerge and RowMerge property settings
SS_MERGE_NONE EQUATE(0)
SS_MERGE_ALWAYS EQUATE(1)
SS_MERGE_RESTRICTED EQUATE(2)

! ColUserSortIndicator property settings
SS_COLUSERSORTINDICATOR_NONE EQUATE(0)
SS_COLUSERSORTINDICATOR_ASCENDING EQUATE(1)
SS_COLUSERSORTINDICATOR_DESCENDING EQUATE(2)
SS_COLUSERSORTINDICATOR_DISABLED EQUATE(3)

! CursorStyle property settings
SS_CURSOR_STYLE_USER_DEFINED EQUATE(0)
SS_CURSOR_STYLE_DEFAULT EQUATE(1)
SS_CURSOR_STYLE_ARROW EQUATE(2)
SS_CURSOR_STYLE_DEFCOLRESIZE EQUATE(3)
SS_CURSOR_STYLE_DEFROWRESIZE EQUATE(4)

! CursorType property settings
SS_CURSOR_TYPE_DEFAULT EQUATE(0)
SS_CURSOR_TYPE_COLRESIZE EQUATE(1)
SS_CURSOR_TYPE_ROWRESIZE EQUATE(2)
SS_CURSOR_TYPE_BUTTON EQUATE(3)
SS_CURSOR_TYPE_GRAYAREA EQUATE(4)
SS_CURSOR_TYPE_LOCKEDCELL EQUATE(5)
SS_CURSOR_TYPE_COLHEADER EQUATE(6)
SS_CURSOR_TYPE_ROWHEADER EQUATE(7)
SS_CURSOR_TYPE_DRAGDROPAREA EQUATE(8)
SS_CURSOR_TYPE_DRAGDROP EQUATE(9)

! DAutoSizeCols property settings
SS_AUTOSIZE_NO EQUATE(0)
SS_AUTOSIZE_MAX_COL_WIDTH EQUATE(1)
SS_AUTOSIZE_BEST_GUESS EQUATE(2)

! EditEnterAction property settings
SS_CELL_EDITMODE_EXIT_NONE EQUATE(0)
SS_CELL_EDITMODE_EXIT_UP EQUATE(1)
SS_CELL_EDITMODE_EXIT_DOWN EQUATE(2)
SS_CELL_EDITMODE_EXIT_LEFT EQUATE(3)
SS_CELL_EDITMODE_EXIT_RIGHT EQUATE(4)
SS_CELL_EDITMODE_EXIT_NEXT EQUATE(5)
SS_CELL_EDITMODE_EXIT_PREVIOUS EQUATE(6)
SS_CELL_EDITMODE_EXIT_SAME EQUATE(7)
SS_CELL_EDITMODE_EXIT_NEXTROW EQUATE(8)

! OperationMode property settings
SS_OP_MODE_NORMAL EQUATE(0)
SS_OP_MODE_READONLY EQUATE(1)
SS_OP_MODE_ROWMODE EQUATE(2)
SS_OP_MODE_SINGLE_SELECT EQUATE(3)
SS_OP_MODE_MULTI_SELECT EQUATE(4)
SS_OP_MODE_EXT_SELECT EQUATE(5)

! Position property settings
SS_POSITION_UPPER_LEFT EQUATE(0)
SS_POSITION_UPPER_CENTER EQUATE(1)
SS_POSITION_UPPER_RIGHT EQUATE(2)
SS_POSITION_CENTER_LEFT EQUATE(3)
SS_POSITION_CENTER_CENTER EQUATE(4)
SS_POSITION_CENTER_RIGHT EQUATE(5)
SS_POSITION_BOTTOM_LEFT EQUATE(6)
SS_POSITION_BOTTOM_CENTER EQUATE(7)
SS_POSITION_BOTTOM_RIGHT EQUATE(8)

! PrintOrientation property settings
SS_PRINTORIENT_DEFAULT EQUATE(0)
SS_PRINTORIENT_PORTRAIT EQUATE(1)
SS_PRINTORIENT_LANDSCAPE EQUATE(2)

! PrintPageOrder property settings
SS_PAGEORDER_AUTO EQUATE(0)
SS_PAGEORDER_DOWNTHENOVER EQUATE(1)
SS_PAGEORDER_OVERTHENDOWN EQUATE(2)

! PrintType property settings
SS_PRINT_ALL EQUATE(0)
SS_PRINT_CELL_RANGE EQUATE(1)
SS_PRINT_CURRENT_PAGE EQUATE(2)
SS_PRINT_PAGE_RANGE EQUATE(3)

! ScrollBars property settings
SS_SCROLLBAR_NONE EQUATE(0)
SS_SCROLLBAR_H_ONLY EQUATE(1)
SS_SCROLLBAR_V_ONLY EQUATE(2)
SS_SCROLLBAR_BOTH EQUATE(3)

! ScrollBarTrack property settings
SS_SCROLLBARTRACK_OFF EQUATE(0)
SS_SCROLLBARTRACK_VERTICAL EQUATE(1)
SS_SCROLLBARTRACK_HORIZONTAL EQUATE(2)
SS_SCROLLBARTRACK_BOTH EQUATE(3)

! SelBackColor property settings
SPREAD_COLOR_NONE EQUATE(8000000BH)

! SelectBlockOptions property settings
SS_SELBLOCKOPT_COLS EQUATE(1)
SS_SELBLOCKOPT_ROWS EQUATE(2)
SS_SELBLOCKOPT_BLOCKS EQUATE(4)
SS_SELBLOCKOPT_ALL EQUATE(8)

! ScrollTipTextMax
SS_SCROLLTIP_TEXTMAX EQUATE(1024)

! ShowScrollTips property settings
SS_SHOWSCROLLTIPS_OFF EQUATE(0)
SS_SHOWSCROLLTIPS_VERT EQUATE(1)
SS_SHOWSCROLLTIPS_HORZ EQUATE(2)
SS_SHOWSCROLLTIPS_BOTH EQUATE(3)

! SortKeyOrder property settings
SS_SORT_ORDER_NONE EQUATE(0)
SS_SORT_ORDER_ASCENDING EQUATE(1)
SS_SORT_ORDER_DESCENDING EQUATE(2)

! TabStripPolicy property settings
SS_TABSTRIPPOLICY_ASNEEDED EQUATE(0)
SS_TABSTRIPPOLICY_ALWAYS EQUATE(1)
SS_TABSTRIPPOLICY_NEVER EQUATE(2)

! TextTip property settings
SS_TEXTTIP_OFF EQUATE(0)
SS_TEXTTIP_FIXED EQUATE(1)
SS_TEXTTIP_FLOATING EQUATE(2)
SS_TEXTTIP_FIXEDFOCUSONLY EQUATE(3)
SS_TEXTTIP_FLOATINGFOCUSONLY EQUATE(4)

! TypeButtonAlign property settings
SS_CELL_BUTTON_ALIGN_BOTTOM EQUATE(0)
SS_CELL_BUTTON_ALIGN_TOP EQUATE(1)
SS_CELL_BUTTON_ALIGN_LEFT EQUATE(2)
SS_CELL_BUTTON_ALIGN_RIGHT EQUATE(3)

! TypeButtonType property settings
SS_CELL_BUTTON_NORMAL EQUATE(0)
SS_CELL_BUTTON_TWO_STATE EQUATE(1)

! TypeCheckTextAlign property settings
SS_CHECKBOX_TEXT_LEFT EQUATE(0)
SS_CHECKBOX_TEXT_RIGHT EQUATE(1)

! TypeCheckType property settings
SS_CHECKBOX_NORMAL EQUATE(0)
SS_CHECKBOX_THREE_STATE EQUATE(1)

! TypeComboBoxAutoSearch property settings
SS_COMBOBOX_AUTOSEARCH_NONE EQUATE(0)
SS_COMBOBOX_AUTOSEARCH_SINGLECHAR EQUATE(1)
SS_COMBOBOX_AUTOSEARCH_MULTIPLECHAR EQUATE(2)
SS_COMBOBOX_AUTOSEARCH_SINGLECHARGREATER EQUATE(3)

!TypeComboBoxWidth property settings
SS_COMBOWIDTH_CELLWIDTH EQUATE(0)
SS_COMBOWIDTH_AUTORIGHT EQUATE(1)
SS_COMBOWIDTH_AUTOLEFT EQUATE(-1)

! TypeCurrencyLeadingZero, TypeNumberLeadingZero,
! TypePercentLeadingZero property settings
SS_LEADINGZERO_INTL EQUATE(0)
SS_LEADINGZERO_NO EQUATE(1)
SS_LEADINGZERO_YES EQUATE(2)

! TypeCurrencyNegStyle property settings
SS_CELL_CURRENCY_NEGSTYLE_INTL EQUATE(0)
SS_CELL_CURRENCY_NEGSTYLE_1 EQUATE(1)
SS_CELL_CURRENCY_NEGSTYLE_2 EQUATE(2)
SS_CELL_CURRENCY_NEGSTYLE_3 EQUATE(3)
SS_CELL_CURRENCY_NEGSTYLE_4 EQUATE(4)
SS_CELL_CURRENCY_NEGSTYLE_5 EQUATE(5)
SS_CELL_CURRENCY_NEGSTYLE_6 EQUATE(6)
SS_CELL_CURRENCY_NEGSTYLE_7 EQUATE(7)
SS_CELL_CURRENCY_NEGSTYLE_8 EQUATE(8)
SS_CELL_CURRENCY_NEGSTYLE_9 EQUATE(9)
SS_CELL_CURRENCY_NEGSTYLE_10 EQUATE(10)
SS_CELL_CURRENCY_NEGSTYLE_11 EQUATE(11)
SS_CELL_CURRENCY_NEGSTYLE_12 EQUATE(12)
SS_CELL_CURRENCY_NEGSTYLE_13 EQUATE(13)
SS_CELL_CURRENCY_NEGSTYLE_14 EQUATE(14)
SS_CELL_CURRENCY_NEGSTYLE_15 EQUATE(15)
SS_CELL_CURRENCY_NEGSTYLE_16 EQUATE(16)

! TypeCurrencyPosStyle property settings
SS_CELL_CURRENCY_POSSTYLE_INTL EQUATE(0)
SS_CELL_CURRENCY_POSSTYLE_1 EQUATE(1)
SS_CELL_CURRENCY_POSSTYLE_2 EQUATE(2)
SS_CELL_CURRENCY_POSSTYLE_3 EQUATE(3)
SS_CELL_CURRENCY_POSSTYLE_4 EQUATE(4)

! TypeDateFormat property settings
SS_CELL_DATE_FORMAT_DDMONYY EQUATE(0)
SS_CELL_DATE_FORMAT_DDMMYY EQUATE(1)
SS_CELL_DATE_FORMAT_MMDDYY EQUATE(2)
SS_CELL_DATE_FORMAT_YYMMDD EQUATE(3)
SS_CELL_DATE_FORMAT_YYMM EQUATE(4)
SS_CELL_DATE_FORMAT_MMDD EQUATE(5)
SS_CELL_DATE_FORMAT_DEFAULT EQUATE(99)

! TypeEditCharCase property settings
SS_CELL_EDIT_CASE_LOWER_CASE EQUATE(0)
SS_CELL_EDIT_CASE_NO_CASE EQUATE(1)
SS_CELL_EDIT_CASE_UPPER_CASE EQUATE(2)

! TypeEditCharSet property settings
SS_CELL_EDIT_CHAR_SET_ASCII EQUATE(0)
SS_CELL_EDIT_CHAR_SET_ALPHA EQUATE(1)
SS_CELL_EDIT_CHAR_SET_ALPHANUMERIC EQUATE(2)
SS_CELL_EDIT_CHAR_SET_NUMERIC EQUATE(3)

! TypeHAlign property settings
SS_CELL_H_ALIGN_LEFT EQUATE(0)
SS_CELL_H_ALIGN_RIGHT EQUATE(1)
SS_CELL_H_ALIGN_CENTER EQUATE(2)

! TypeNumberNegStyle property settings
SS_CELL_NUMBER_NEGSTYLE_INTL EQUATE(0)
SS_CELL_NUMBER_NEGSTYLE_1 EQUATE(1)
SS_CELL_NUMBER_NEGSTYLE_2 EQUATE(2)
SS_CELL_NUMBER_NEGSTYLE_3 EQUATE(3)
SS_CELL_NUMBER_NEGSTYLE_4 EQUATE(4)
SS_CELL_NUMBER_NEGSTYLE_5 EQUATE(5)

! TypePercentNegStyle property settings
SS_CELL_PERCENT_NEGSTYLE_INTL EQUATE(0)
SS_CELL_PERCENT_NEGSTYLE_1 EQUATE(1)
SS_CELL_PERCENT_NEGSTYLE_2 EQUATE(2)
SS_CELL_PERCENT_NEGSTYLE_3 EQUATE(3)
SS_CELL_PERCENT_NEGSTYLE_4 EQUATE(4)
SS_CELL_PERCENT_NEGSTYLE_5 EQUATE(5)
SS_CELL_PERCENT_NEGSTYLE_6 EQUATE(6)
SS_CELL_PERCENT_NEGSTYLE_7 EQUATE(7)
SS_CELL_PERCENT_NEGSTYLE_8 EQUATE(8)

! TypeTextAlignVert property settings
SS_CELL_STATIC_V_ALIGN_BOTTOM EQUATE(0)
SS_CELL_STATIC_V_ALIGN_CENTER EQUATE(1)
SS_CELL_STATIC_V_ALIGN_TOP EQUATE(2)

! TypeTextOrient property settings
SS_CELL_TEXTORIENT_HORIZONTAL EQUATE(0)
SS_CELL_TEXTORIENT_VERTICAL_LTR EQUATE(1)
SS_CELL_TEXTORIENT_DOWN EQUATE(2)
SS_CELL_TEXTORIENT_UP EQUATE(3)
SS_CELL_TEXTORIENT_INVERT EQUATE(4)
SS_CELL_TEXTORIENT_VERTICAL_RTL EQUATE(5)

! TypeTime24Hour property settings
SS_CELL_TIME_12_HOUR_CLOCK EQUATE(0)
SS_CELL_TIME_24_HOUR_CLOCK EQUATE(1)
SS_CELL_TIME_24_HOUR_DEFAULT EQUATE(2)

! TypeVAlign property settings
SS_CELL_V_ALIGN_TOP EQUATE(0)
SS_CELL_V_ALIGN_BOTTOM EQUATE(1)
SS_CELL_V_ALIGN_VCENTER EQUATE(2)

! UnitType property settings
SS_CELL_UNIT_NORMAL EQUATE(0)
SS_CELL_UNIT_VGA EQUATE(1)
SS_CELL_UNIT_TWIPS EQUATE(2)

! UserColAction property settings
SS_USERCOLACTION_DEFAULT EQUATE(0)
SS_USERCOLACTION_SORT EQUATE(1)
SS_USERCOLACTION_SORTNOINDICATOR EQUATE(2)
SS_USERCOLACTION_AUTOSIZE EQUATE(3)

! UserResize property settings
SS_USER_RESIZE_NONE EQUATE(0)
SS_USER_RESIZE_COL EQUATE(1)
SS_USER_RESIZE_ROW EQUATE(2)
SS_USER_RESIZE_BOTH EQUATE(3)

! UserResizeCol and UserResizeRow property settings
SS_USER_RESIZE_DEFAULT EQUATE(0)
SS_USER_RESIZE_ON EQUATE(1)
SS_USER_RESIZE_OFF EQUATE(2)

! VScrollSpecialType property settings
SS_VSCROLLSPECIAL_NO_HOME_END EQUATE(1)
SS_VSCROLLSPECIAL_NO_PAGE_UP_DOWN EQUATE(2)
SS_VSCROLLSPECIAL_NO_LINE_UP_DOWN EQUATE(4)



! ********** SPREADSHEET METHOD SETTINGS ***********

! ActionKey method settings
SS_KBA_CLEAR EQUATE(0)
SS_KBA_CURRENT EQUATE(1)
SS_KBA_POPUP EQUATE(2)

! AddCustomFunctionExt, GetCustomFunction method Flags parameter settings
SS_CUSTFUNC_WANTCELLREF EQUATE(1)
SS_CUSTFUNC_WANTRANGEREF EQUATE(2)

! CFGetParamInfo method Type parameter settings
SS_VALUE_TYPE_LONG EQUATE(0)
SS_VALUE_TYPE_DOUBLE EQUATE(1)
SS_VALUE_TYPE_STR EQUATE(2)
SS_VALUE_TYPE_CELL EQUATE(3)
SS_VALUE_TYPE_RANGE EQUATE(4)

! CFGetParamInfo method Status parameter settings
SS_VALUE_STATUS_OK EQUATE(0)
SS_VALUE_STATUS_ERROR EQUATE(1)
SS_VALUE_STATUS_EMPTY EQUATE(2)

! GetCellSpan method return values
SS_SPAN_NO EQUATE(0)
SS_SPAN_YES EQUATE(1)
SS_SPAN_ANCHOR EQUATE(2)

! ExportExcelBookEx, ExportExcelToFileEx
SS_EXCELSAVEFLAG_NONE EQUATE(0)
SS_EXCELSAVEFLAG_NOFORMULAS EQUATE(1)

! ExportTextFile, ExportRangeToTextFile, ExportToXML and  LoadTextFile
SS_EXPORTTEXT_CREATE EQUATE(1)
SS_EXPORTTEXT_APPEND EQUATE(2)
SS_EXPORTTEXT_UNFORMATTED EQUATE(4)
SS_EXPORTTEXT_COLHEADERS EQUATE(8)
SS_EXPORTTEXT_ROWHEADERS EQUATE(16)

SS_EXPORTXML_FORMATTED EQUATE(0)
SS_EXPORTXML_UNFORMATTED EQUATE(1)

SS_LOADTEXT_NOHEADERS EQUATE(0)
SS_LOADTEXT_COLHEADERS EQUATE(1)
SS_LOADTEXT_ROWHEADERS EQUATE(2)
SS_LOADTEXT_CLEARDATAONLY EQUATE(4)

! GetRefStyle/SetRefStyle methods return values/parameter settings
SS_REFSTYLE_DEFAULT EQUATE(0)
SS_REFSTYLE_A1 EQUATE(1)
SS_REFSTYLE_R1C1 EQUATE(2)

! PrintScaling method values
SS_PRINTSCALINGMETHOD_NONE EQUATE(0)
SS_PRINTSCALINGMETHOD_SMARTPRINT EQUATE(1)
SS_PRINTSCALINGMETHOD_ZOOM EQUATE(2)
SS_PRINTSCALINGMETHOD_BESTFIT EQUATE(3)

! PrintSheet flags
SS_PRINTFLAGS_NONE EQUATE(0)
SS_PRINTFLAGS_SHOWCOMMONDIALOG EQUATE(1)

! SearchCol and SearchRow method!s SearchFlags values
SS_SEARCHFLAGS_NONE EQUATE(0)
SS_SEARCHFLAGS_GREATEROREQUAL EQUATE(1)
SS_SEARCHFLAGS_PARTIALMATCH EQUATE(2)
SS_SEARCHFLAGS_VALUE EQUATE(4)
SS_SEARCHFLAGS_CASESENSITIVE EQUATE(8)
SS_SEARCHFLAGS_SORTEDASCENDING EQUATE(16)
SS_SEARCHFLAGS_SORTEDDESCENDING EQUATE(32)

! Sort method!s SortBy parameter settings
SS_SORT_BY_ROW EQUATE(0)
SS_SORT_BY_COL EQUATE(1)



! ********** SPREADSHEET EVENT SETTINGS **********
! BeforeEditMode event - UserAction parameter settings
SS_BEM_KEYBOARD EQUATE(0)
SS_BEM_MOUSE EQUATE(1)
SS_BEM_CODE EQUATE(2)

! BeforeEditMode event - CursorPos parameter settings
SS_BEM_CURSORPOS_DEFAULT EQUATE(0)
SS_BEM_CURSORPOS_SELECTALL EQUATE(1)
SS_BEM_CURSORPOS_BEGINNING EQUATE(2)
SS_BEM_CURSORPOS_END EQUATE(3)
SS_BEM_CURSORPOS_MOUSE EQUATE(4)
SS_BEM_CURSORPOS_DECIMAL EQUATE(5)

! BeforeUserSort event - DefaultAction parameter settings
SS_BEFOREUSERSORT_DEFAULTACTION_CANCEL EQUATE(0)
SS_BEFOREUSERSORT_DEFAULTACTION_AUTOSORT EQUATE(1)
SS_BEFOREUSERSORT_DEFAULTACTION_MANUALSORT EQUATE(2)

! BeforeUserSort event - DefaultAction parameter settings
SS_BEFOREUSERSORT_STATE_NONE EQUATE(0)
SS_BEFOREUSERSORT_STATE_ASCENDING EQUATE(1)
SS_BEFOREUSERSORT_STATE_DESCENDING EQUATE(2)

! TextTipFetch event MultiLine parameter settings
SS_TT_MULTILINE_SINGLE EQUATE(0)
SS_TT_MULTILINE_MULTI EQUATE(1)
SS_TT_MULTILINE_AUTO EQUATE(2)


! ********** PRINT PREVIEW PROPERTY SETTINGS **********

! GrayAreaMarginType property values
SPV_GRAYAREAMARGINTYPE_SCALED EQUATE(0)
SPV_GRAYAREAMARGINTYPE_ACTUAL EQUATE(1)

! MousePointer property values
SPV_MOUSEPOINTER_DEFAULT EQUATE(0)
SPV_MOUSEPOINTER_ARROW EQUATE(1)
SPV_MOUSEPOINTER_CROSS EQUATE(2)
SPV_MOUSEPOINTER_I_BEAM EQUATE(3)
SPV_MOUSEPOINTER_ICON EQUATE(4)
SPV_MOUSEPOINTER_SIZE EQUATE(5)
SPV_MOUSEPOINTER_SIZE_NE_SW EQUATE(6)
SPV_MOUSEPOINTER_SIZE_N_S EQUATE(7)
SPV_MOUSEPOINTER_SIZE_NW_SE EQUATE(8)
SPV_MOUSEPOINTER_SIZE_W_E EQUATE(9)
SPV_MOUSEPOINTER_UP_ARROW EQUATE(10)
SPV_MOUSEPOINTER_HOURGLASS EQUATE(11)
SPV_MOUSEPOINTER_NO_DROP EQUATE(12)

! PageViewType property values
SPV_PAGEVIEWTYPE_WHOLE_PAGE EQUATE(0)
SPV_PAGEVIEWTYPE_NORMAL_SIZE EQUATE(1)
SPV_PAGEVIEWTYPE_PERCENTAGE EQUATE(2)
SPV_PAGEVIEWTYPE_PAGE_WIDTH EQUATE(3)
SPV_PAGEVIEWTYPE_PAGE_HEIGHT EQUATE(4)
SPV_PAGEVIEWTYPE_MULTIPLE_PAGES EQUATE(5)

! ScrollBarH property values
SPV_SCROLLBARH_SHOW EQUATE(0)
SPV_SCROLLBARH_AUTO EQUATE(1)
SPV_SCROLLBARH_HIDE EQUATE(2)

! ScrollBarV property values
SPV_SCROLLBARV_SHOW EQUATE(0)
SPV_SCROLLBARV_AUTO EQUATE(1)
SPV_SCROLLBARV_HIDE EQUATE(2)

! ZoomState property values
SPV_ZOOMSTATE_INDETERMINATE EQUATE(0)
SPV_ZOOMSTATE_IN EQUATE(1)
SPV_ZOOMSTATE_OUT EQUATE(2)
SPV_ZOOMSTATE_SWITCH EQUATE(3)
